POST
/v1/organizations/:organizationId/mdm/android/enterprise/
Copy to clipboard
Create EMM-managed enterprise
Required Permission: mdm.android.enterprise.create
Creates a new EMM-managed enterprise with specified configuration and contact information.
Request
Add parameter in header
authorization
Example:
Authorization: Bearer <token>
organizationId
string
required
Body Params
application/json
enterpriseDisplayName
string
required
contactInfo
object
required
contactEmail
string
required
dataProtectionOfficerName
string
required
dataProtectionOfficerEmail
string
required
dataProtectionOfficerPhone
string
required
euRepresentativeName
string
required
euRepresentativeEmail
string
required
euRepresentativePhone
string
required
configuration
object
required
primaryColor
string
optional
logo
string
optional
contactEmail
string
optional
contactPhone
string
optional
{
"enterpriseDisplayName": "string",
"contactInfo": {
"contactEmail": "string",
"dataProtectionOfficerName": "string",
"dataProtectionOfficerEmail": "string",
"dataProtectionOfficerPhone": "string",
"euRepresentativeName": "string",
"euRepresentativeEmail": "string",
"euRepresentativePhone": "string"
},
"configuration": {
"primaryColor": "string",
"logo": "string",
"contactEmail": "[email protected]",
"contactPhone": "string"
}
}
Responses
200 Response
application/json
status
boolean
required
data
object
required
id
string
required
config
object
required
name
string
optional
enterpriseDisplayName
string
optional
logo
any
optional
primaryColor
integer
optional
termsAndConditions
array
optional
enterpriseType
string
optional
managedGooglePlayAccountsEnterpriseType
string
optional
managedGoogleDomainType
string
optional
googleAuthenticationSettings
any
optional
error
string
optional
_config
any
optional
adminEmail
string
optional
updatedAt
string
required
createdAt
string
required
{
"status": true,
"data": {
"id": "string",
"config": {
"name": "string",
"enterpriseDisplayName": "string",
"logo": "string",
"primaryColor": 0,
"termsAndConditions": [
"string"
],
"enterpriseType": "string",
"managedGooglePlayAccountsEnterpriseType": "string",
"managedGoogleDomainType": "string",
"googleAuthenticationSettings": "string"
},
"error": "unauthorized",
"_config": "string",
"adminEmail": "[email protected]",
"updatedAt": "string",
"createdAt": "string"
}
}
400 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 5046,
"message": "Android Emm Enterprise already exists for this organization"
}
}
401 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
404 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}